devel/tre - The NetBSD Packages Collection

Lightweight and robust POSIX compliant regexp matching library

TRE is a lightweight, robust, and efficient POSIX compliant regexp matching
library with some exciting features such as approximate (fuzzy) matching.

At the core of TRE is a new algorithm for regular expression matching with
submatch addressing. The algorithm uses linear worst-case time in the length
of the text being searched, and quadratic worst-case time in the length of
the used regular expression. In other words, the time complexity of the
algorithm is O(M2N), where M is the length of the regular expression and N
is the length of the text. The used space is also quadratic on the length
of the regex, but does not depend on the searched string. This quadratic
behaviour occurs only on pathological cases which are probably very rare
in practice.

TRE includes a version of the agrep (approximate grep) command line tool
for approximate regexp matching in the style of grep. Unlike other agrep
implementations (like the one by Sun Wu and Udi Manber from University of
Arizona available  here) TRE agrep allows full regexps of any length, any
number of errors, and non-uniform costs for insertion, deletion and
substitution.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hftre-0.8.0.tgz
NetBSD 8.0earmv7hftre-0.8.0.tgz
NetBSD 8.0earmv7hftre-0.8.0.tgz
NetBSD 8.0i386tre-0.8.0.tgz
NetBSD 8.0i386tre-0.8.0.tgz
NetBSD 8.0i386tre-0.8.0.tgz
NetBSD 8.0powerpctre-0.8.0.tgz
NetBSD 8.0powerpctre-0.8.0.tgz
NetBSD 8.0powerpctre-0.8.0.tgz
NetBSD 8.0x86_64tre-0.8.0.tgz
NetBSD 8.0x86_64tre-0.8.0.tgz
NetBSD 9.0aarch64tre-0.8.0.tgz
NetBSD 9.0aarch64tre-0.8.0.tgz
NetBSD 9.0aarch64tre-0.8.0.tgz
NetBSD 9.0alphatre-0.8.0.tgz
NetBSD 9.0alphatre-0.8.0.tgz
NetBSD 9.0alphatre-0.8.0.tgz
NetBSD 9.0earmtre-0.8.0.tgz
NetBSD 9.0earmv6hftre-0.8.0.tgz
NetBSD 9.0earmv6hftre-0.8.0.tgz
NetBSD 9.0earmv6hftre-0.8.0.tgz
NetBSD 9.0earmv6hftre-0.8.0.tgz
NetBSD 9.0earmv7hftre-0.8.0.tgz
NetBSD 9.0earmv7hftre-0.8.0.tgz
NetBSD 9.0earmv7hftre-0.8.0.tgz
NetBSD 9.0earmv7hftre-0.8.0.tgz
NetBSD 9.0i386tre-0.8.0.tgz
NetBSD 9.0i386tre-0.8.0.tgz
NetBSD 9.0mips64ebtre-0.8.0.tgz
NetBSD 9.0mips64ebtre-0.8.0.tgz
NetBSD 9.0mips64ebtre-0.8.0.tgz
NetBSD 9.0powerpctre-0.8.0.tgz
NetBSD 9.0powerpctre-0.8.0.tgz
NetBSD 9.0sparc64tre-0.8.0.tgz
NetBSD 9.0sparc64tre-0.8.0.tgz
NetBSD 9.0sparc64tre-0.8.0.tgz
NetBSD 9.0sparc64tre-0.8.0.tgz
NetBSD 9.0sparctre-0.8.0.tgz
NetBSD 9.0sparctre-0.8.0.tgz
NetBSD 9.0sparctre-0.8.0.tgz
NetBSD 9.0x86_64tre-0.8.0.tgz
NetBSD 9.0x86_64tre-0.8.0.tgz
NetBSD 9.0x86_64tre-0.8.0.tgz
NetBSD 9.0x86_64tre-0.8.0.tgz
NetBSD 9.0x86_64tre-0.8.0.tgz
NetBSD 9.0x86_64tre-0.8.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.